# List transfers

`GET /accounts/{accountID}/transfers`

API version: `v2026.10.00`. Send `X-Moov-Version: v2026.10.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

List all the transfers associated with a particular Moov account. 

Read our [transfers overview guide](https://docs.moov.io/guides/money-movement/overview/) to learn more. 

When you run this request, you retrieve 200 transfers at a time. You can advance past a results set of 200 transfers by using the `skip` parameter (for example, 
if you set `skip`= 10, you will see a results set of 200 transfers after the first 10). If you are searching a high volume of transfers, the request will likely 
process very slowly. To achieve faster performance, restrict the data as much as you can by using the `StartDateTime` and `EndDateTime` parameters for a limited 
period of time. You can run multiple requests in smaller time window increments until you've retrieved all the transfers you need. The maximum allowed value for 
`skip` is `200 000`.

For large result sets, use cursor pagination instead of `skip`. When more transfers are available, the response includes an
`X-Next-Cursor` header. Pass its value as the `cursor` query parameter, with the same filters and `count`, to retrieve the next page.
`cursor` cannot be combined with a nonzero `skip`.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts/{accountID}/transfers.read` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.10.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.10.00`. |
| `accountIDs` | query | array of string |  | Optional, comma-separated account IDs by which the response is filtered based on whether the account ID is the source or destination. |
| `status` | query | string |  | Optional parameter for filtering transfers by status. Values: `created`, `pending`, `completed`, `failed`, `reversed`, `queued`, `awaiting-capture`, `canceled`. |
| `startDateTime` | query | string (date-time) |  | Optional date-time which inclusively filters all transfers created after this date-time. |
| `endDateTime` | query | string (date-time) |  | Optional date-time which exclusively filters all transfers created before this date-time. |
| `groupID` | query | string |  | Optional ID to filter for transfers in the same group. |
| `scheduleID` | query | string |  | Optional ID to filter for transfer occurrences belonging to the same schedule. |
| `paymentLinkCode` | query | string |  | Optional code to filter for transfers associated with the payment link. |
| `refunded` | query | boolean |  | Optional parameter to only return refunded transfers. |
| `disputed` | query | boolean |  | Optional parameter to only return disputed transfers. |
| `foreignID` | query | string |  | Optional alias from a foreign/external system which can be used to reference this resource. |
| `authorizationIDs` | query | array of string |  | Optional comma-separated authorization IDs. |
| `invoiceIDs` | query | array of string |  | Optional comma-separated invoice IDs. |
| `transferTypes` | query | array of string |  | Optional, comma-separated transfer types by which the response is filtered. Values: `card-payment`, `push-to-card`, `pull-from-card`, `ach-debit`, `ach-credit`, `ach-debit-to-ach-credit`, `instant-bank-credit`, `wallet`. |
| `skip` | query | integer (int64) |  | The number of entries to skip when paginating a large result set. |
| `count` | query | integer (int64) |  | Page size. When omitted, the server defaults to `200`. |
| `cursor` | query | string |  | Opaque cursor from a previous response's `X-Next-Cursor` header. Reuse the same filters and `count` between pages. Cannot be combined with a nonzero `skip`. |
| `accountID` | path | string | Yes |  |

## Response 200

Transfers were successfully listed matching the provided filter parameters and returned

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `[].transferID` | string | Yes |  |
| `[].transferType` | string | Yes | The rail and direction used to move funds for a transfer. Values: `card-payment`, `push-to-card`, `pull-from-card`, `ach-debit`, `ach-credit`, `ach-debit-to-ach-credit`, `instant-bank-credit`, `wallet`. |
| `[].createdOn` | string (date-time) | Yes |  |
| `[].source` | object | Yes |  |
| `[].source.transferID` | string |  | String present only if the transfer is part of a transfer group. |
| `[].source.paymentMethodID` | string |  |  |
| `[].source.paymentMethodType` | string |  | The payment method type that represents a payment rail and directionality Values: `moov-wallet`, `ach-debit-fund`, `ach-debit-collect`, `ach-credit-standard`, `ach-credit-same-day`, `rtp-credit`, `card-payment`, `push-to-card`, `pull-from-card`, `apple-pay`, `card-present-payment`, `instant-bank-credit`, `push-to-apple-pay`, `pull-from-apple-pay`, `google-pay`, `push-to-google-pay`, `pull-from-google-pay`. |
| `[].source.account` | object |  |  |
| `[].source.bankAccount` | object |  | A bank account as contained within a payment method. |
| `[].source.wallet` | object |  |  |
| `[].source.card` | object |  | A card as contained within a payment method. |
| `[].source.applePay` | object |  | Describes an Apple Pay token on a Moov account. |
| `[].source.googlePay` | object |  | Describes a Google Pay token on a Moov account. |
| `[].source.terminalCard` | object |  | Describes payment card details captured with tap or in-person payment. |
| `[].destination` | object | Yes |  |
| `[].destination.paymentMethodID` | string |  |  |
| `[].destination.paymentMethodType` | string |  | The payment method type that represents a payment rail and directionality Values: `moov-wallet`, `ach-debit-fund`, `ach-debit-collect`, `ach-credit-standard`, `ach-credit-same-day`, `rtp-credit`, `card-payment`, `push-to-card`, `pull-from-card`, `apple-pay`, `card-present-payment`, `instant-bank-credit`, `push-to-apple-pay`, `pull-from-apple-pay`, `google-pay`, `push-to-google-pay`, `pull-from-google-pay`. |
| `[].destination.account` | object |  |  |
| `[].destination.bankAccount` | object |  | A bank account as contained within a payment method. |
| `[].destination.wallet` | object |  |  |
| `[].destination.card` | object |  | A card as contained within a payment method. |
| `[].destination.applePay` | object |  | Describes an Apple Pay token on a Moov account. |
| `[].destination.googlePay` | object |  | Describes a Google Pay token on a Moov account. |
| `[].completedOn` | string (date-time) |  |  |
| `[].status` | string | Yes | Status of a transfer. Values: `created`, `pending`, `completed`, `failed`, `reversed`, `queued`, `awaiting-capture`, `canceled`. |
| `[].failureReason` | string |  | Reason for a transfer's failure. Values: `source-payment-error`, `destination-payment-error`, `wallet-insufficient-funds`, `rejected-high-risk`, `processing-error`. |
| `[].amount` | object | Yes | Amount associated with this transfer. In v2026.10 and later, an auth-capture `card-payment` transfer reports the approved authorization amount until a final capture is created. For these transfers, when a final capture is created, this is updated to the cumulative captured amount. For other transfer types, this is the transfer amount. |
| `[].amount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `[].amount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `[].description` | string |  | An optional description of the transfer that is used on receipts and for your own internal use. |
| `[].metadata` | object |  | Free-form key-value pair list. Useful for storing information that is not captured elsewhere. |
| `[].facilitatorFee` | object |  | Total or markup fee. |
| `[].facilitatorFee.total` | object |  | Total facilitator fee. |
| `[].facilitatorFee.markup` | object |  | Markup facilitator fee. |
| `[].moovFee` | object |  | Fees charged to your platform account for transfers. |
| `[].moovFee.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `[].moovFee.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `[].moovFeeDetails` | object |  | Processing and pass-through costs that add up to the moovFee. |
| `[].moovFeeDetails.cardScheme` | object |  | Card scheme fees accrued during authorization and settlement. String type represents dollars with up to 9 decimal place precision. |
| `[].moovFeeDetails.interchange` | object |  | Network interchange fee for Visa, Mastercard, or Discover. String type represents dollars with up to 9 decimal place precision. |
| `[].moovFeeDetails.discount` | object |  | Network discount fee for American Express. String type represents dollars with up to 9 decimal place precision. |
| `[].moovFeeDetails.moovProcessing` | object | Yes | Moov processing fee. String type represents dollars with up to 9 decimal place precision. |
| `[].moovFees` | array of object |  | Fees charged to accounts involved in the transfer. |
| `[].moovFees[].accountID` | string | Yes | ID of the account that fees were charged to. |
| `[].moovFees[].transferParty` | string | Yes | Indicates whether the account charged was the partner, source, or destination of the transfer. Values: `source`, `destination`, `partner`. |
| `[].moovFees[].totalAmount` | object | Yes | The total amount of fees charged to the account. |
| `[].moovFees[].feeIDs` | array of string | Yes | List of fee IDs that sum to the totalAmount. |
| `[].groupID` | string |  |  |
| `[].refundedAmount` | object |  |  |
| `[].refundedAmount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `[].refundedAmount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `[].disputedAmount` | object |  |  |
| `[].disputedAmount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `[].disputedAmount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `[].sweepID` | string |  | ID of the sweep that created this transfer. |
| `[].scheduleID` | string |  |  |
| `[].occurrenceID` | string |  |  |
| `[].paymentLinkCode` | string |  |  |
| `[].foreignID` | string |  | Optional alias from a foreign/external system which can be used to reference this resource. |
| `[].lineItems` | object |  | An optional collection of line items for a transfer. When line items are provided, their total plus tax must equal the transfer amount. |
| `[].lineItems.items` | array of object | Yes | The list of line items. |
| `[].invoiceID` | string |  | ID of the invoice that the transfer is associated with. |
| `[].amountDetails` | object |  | The tip, tax, and surcharge portion of the transfer amount. For an auth-capture `card-payment` transfer, this is the aggregate of all captures' `amountDetails`. |
| `[].amountDetails.tip` | object |  | The amount of tip applied to the transfer. |
| `[].amountDetails.tax` | object |  | The amount of tax applied to the transfer. |
| `[].amountDetails.surcharge` | object |  | The amount of surcharge applied to the transfer. |
| `[].authorization` | object |  | Authorization amounts. This field is present only for an auth-capture `card-payment` transfer. |
| `[].authorization.authorizationID` | string | Yes | Identifier for the authorization. |
| `[].authorization.requestedAmount` | object | Yes | Amount submitted for authorization. |
| `[].authorization.authorizedAmount` | object | Yes | Hold approved by the issuer. |
| `[].authorization.capturedAmount` | object | Yes | Cumulative amount of captures that have not failed or been canceled. |
| `[].authorization.capturableAmount` | object | Yes | Amount of the authorization still available after captures and authorization cancellations. |
| `[].authorization.amountDetails` | object |  | The tip, tax, and surcharge authorized by the card network. These describe the authorized amount and are fixed. They can differ from the transfer's `amountDetails`, which is the aggregate of all captures' `amountDetails`. |
| `[].authorization.expiresOn` | string (date-time) |  | Expiration time for the approved authorization, when available. |
| `[].options` | object | Yes |  |
| `[].options.cardPayment` | object |  |  |
| `[].options.pushToCard` | object |  |  |
| `[].options.pullFromCard` | object |  |  |
| `[].options.achDebit` | object |  |  |
| `[].options.achCredit` | object |  |  |
| `[].processingDetails` | object | Yes |  |
| `[].processingDetails.cardPayment` | object |  |  |
| `[].processingDetails.pushToCard` | object |  |  |
| `[].processingDetails.pullFromCard` | object |  |  |
| `[].processingDetails.achDebit` | object |  |  |
| `[].processingDetails.achCredit` | object |  |  |
| `[].processingDetails.instantBankCredit` | object |  |  |

## Errors

| Status | Meaning |
| --- | --- |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 422 | The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X GET "https://api.moov.io/accounts/{accountID}/transfers" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.10.00"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.transfers.list({
    skip: 60,
    count: 20,
    accountID: "0579c895-4d2b-4024-8092-f71b80ab5d00",
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/v2026.10.00/money-movement/transfers/list/
